<template>
    <!-- <div :class="scrolled && !isMobile ? 'cart' : ''" v-if="!isMobile">    -->
        <div class="columns">
            <div class="column">
                <button class="button is-link is-fullwidth is-medium"
                    :disabled="empty || submitting"
                    @click.prevent="$emit('submit')"
                >
                    Finalizar Pedido
                </button>
            </div>    
        </div> 
    <!-- </div> -->
</template>
<script>
export default {
    data() {
        return {
            scrolled: false,
            isMobile: false
        }
    },

    beforeDestroy () {
        if (process.browser){
            window.removeEventListener('resize', this.onResize, { passive: true })
        }
    },

    created() {
        if (process.browser) { 
            window.addEventListener('scroll', this.handleScroll);
        }
    },

    mounted () {
        this.onResize()
            window.addEventListener('resize', this.onResize, { passive: true })
        },

    destroyed() {
        if (process.browser) { 
            window.removeEventListener('scroll', this.handleScroll);
        }
    },
    
    methods: {
        handleScroll() {
        this.scrolled = (window.scrollY > 450) ? true : false;
        },

        onResize () {
            this.isMobile = window.innerWidth <= 600
        }
    },
    props: {
        empty: {
            required: true
        },
        submitting: {
            required: true
        }

    }
}
</script>
<style scoped>
    .cart {
      position: fixed;
      /* width: 96vh; */
      top: 0;
      transform: translateX(0);
      z-index: 1;
    }
</style>